.header {
    display: none;
    position: relative;
    padding: rem(35) 0;
    background-color: $white;
    border-bottom: 1px solid #E0E0F3;

    &__row {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: rem(93);
        flex-shrink: 0;
        margin-right: rem(25);
    }

    &__nav {
        border: none;
        outline: none;
        height: rem(50);
        color: $white;
        cursor: pointer;
        display: inline-flex;
        align-items: center;
        fill: $white;
        font-weight: 700;
        background: $blue;
        font-size: rem(15);
        line-height: rem(20);
        border-radius: rem(10);
        padding: rem(10) rem(24);
        margin-right: rem(24);
        font-family: $font-family-secondary;
        transition: .3s;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(14);
            display: block;
            margin-right: rem(16);
        }

        span {
            display: block;
            padding-bottom: rem(2);
            white-space: nowrap;
        }

        &:hover {
            transition: .3s;
            background: $blue-hover;
        }

        &:focus,
        &:active {
            outline: none;
        }

        &:active {
            background: $blue;
        }
    }

    &__search {
        flex-grow: 1;
        margin-right: rem(30);
    }

    &__button {
        font-size: 0;
        line-height: 0;
        padding: rem(6);
        border: none;
        outline: none;
        display: inline-flex;
        background: transparent;
        fill: $blue-dark;
        margin-left: rem(10);
        transition: .3s;

        i {
            height: rem(17);
            display: inline-block;
        }

        &:hover {
            fill: $blue;
            transition: .3s;
        }
    }

    &--absolute {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;
        border-bottom: none;
    }

    &--white {
        background-color: transparent;

        .header {

            &__button {
                fill: $white;
            }
        }

        .header-location {

            &__button {
                color: $white;
                fill: $white;
            }

            &__name {
                background-image: linear-gradient(to right, #fff 10%, rgba(255, 255, 255, 0) 0%);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.header-location {
    position: relative;
    margin-right: rem(18);

    &__button {
        color: $dark;
        cursor: pointer;
        display: inline-flex;
        align-items: center;
        white-space: nowrap;
        font-size: rem(15);
        line-height: rem(15);
        fill: $blue-dark;
        font-family: $font-family-secondary;
        transition: .3s;

        &:hover {
            transition: .3s;

            .header-location__name {
                background-image: none;
            }
        }
    }

    &__name {
        display: inline-block;
        padding: rem(6) 0 rem(4) 0;
        background-image: linear-gradient(to right, #2A286C 10%, rgba(255, 255, 255, 0) 0%);
        background-position: bottom;
        background-size: 6px 1px;
        background-repeat: repeat-x;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        position: relative;
        height: rem(18);
        margin-right: rem(10);
        display: inline-block;
        transform: rotate(-45deg);
    }

    &__dropdown {
        right: 0;
        padding: rem(35);
        top: calc(100% + 0.625rem);
        z-index: 100;
        line-height: 110%;
        position: absolute;
        background: $white;
        min-width: rem(348);
        border-radius: rem(10) 0 rem(10) rem(10);
        box-shadow: 0px 4px 20px 0px rgba(48, 36, 121, 0.35);

        &:before {
            right: 0;
            top: rem(-8);
            content: '';
            display: block;
            position: absolute;
            border: rem(16) solid transparent;
            border-right: 20px solid $white;
        }
    }

    &__title {
        color: #707070;
        font-size: rem(16);
        line-height: 110%;
        margin-bottom: rem(18);
    }

    &__current {
        fill: $blue;
        color: $blue;
        cursor: pointer;
        font-weight: 600;
        font-size: rem(20);
        white-space: nowrap;
        text-decoration: none;
        margin-bottom: rem(22);
        display: inline-flex;
        align-items: center;
    }

    &__city {
        padding-bottom: rem(8);
        display: inline-block;
        background-image: linear-gradient(to right, #2A286C 10%, rgba(255, 255, 255, 0) 0%);
        background-position: bottom;
        background-size: 6px 1px;
        background-repeat: repeat-x;
    }

    &__arrow {
        top: rem(-2);
        font-size: 0;
        line-height: 0;
        height: rem(20);
        margin-left: rem(16);
        display: inline-flex;
        position: relative;
    }

    &.open {
        z-index: 250;
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
